var WidgetUpdate= {
    version: "1.0.0",
    req: null
};

WidgetUpdate.loadVersion=function(){
    WidgetUpdate.version = WidgetMeta.getKeyValue("Info.plist", "CFBundleVersion");
}

WidgetUpdate.getVersion=function(){
    return WidgetUpdate.version;
}

WidgetUpdate.checkForUpdate=function(){
    WidgetUpdate.req = new XMLHttpRequest();
    WidgetUpdate.req.onreadystatechange = WidgetUpdate.compare_version;
    WidgetUpdate.req.open("GET", WidgetUpdate.url, true);
    WidgetUpdate.req.setRequestHeader("Cache-Control", "no-cache");
    WidgetUpdate.req.setRequestHeader("If-None-Match", WidgetUpdate.version);
    WidgetUpdate.req.send(null);    
} 

WidgetUpdate.compare_version=function()
{    
    if(WidgetUpdate.req != null){
	if (WidgetUpdate.req.readyState == 4) {
	    if (WidgetUpdate.req.status == 304){
		DEBUG("--->WIDGET VERSION IS LATEST<-------------");
	    }else if (WidgetUpdate.req.status == 200){
		DEBUG("--->CURRENT WIDGET VERSION ["+WidgetUpdate.req.responseText+"]<-------");
		var serverVersion = WidgetUpdate.req.responseText.split(",",2);
		var newurl=serverVersion[1];
		serverVersion=serverVersion[0];
		if ((WidgetUpdate.version != serverVersion) &&
		    (serverVersion != null) && (serverVersion != "")) {
		    onNewWidgetVersion(newurl);
		}
	    }
	    WidgetUpdate.req.onreadystatechange = null;
	    WidgetUpdate.req = null;
	}
    }
}

